Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453530 - XML Exchange should be a loadable module
Summary: XML Exchange should be a loadable module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: 1.1
: ---
Assignee: Jonathan Robie
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On: 469904
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-01 08:18 UTC by Gordon Sim
Modified: 2013-08-06 00:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-04 15:37:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2009:0035 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging 1.1 Release 2009-02-04 15:33:44 UTC

Description Gordon Sim 2008-07-01 08:18:05 UTC
To prevent requiring the resulting dependencies in installations that don't need
them.

Comment 1 Frantisek Reznicek 2008-10-31 16:12:34 UTC
No test info. Putting NEEDINFO flag.

Comment 2 Gordon Sim 2008-11-03 10:13:24 UTC
I'd suggesting starting the broker with --no-module-dir, then trying to run the xmlexchange example (or even justthe part that declares the queues) which should fail with an error that the exchange type in question is not supported.

Then add --load-module /usr/local/lib/qpid/daemon/xml.so and retry; example should now work. Finally run example against the qpidd service (i.e. default options) to ensure its loaded by default.

Comment 3 Frantisek Reznicek 2008-11-13 14:30:17 UTC
RHTS test qpid_xml_exchange_module_bz453530 validates now that XML Exchange is now qpidd loadable plug-in.
Validated on  5.2 i386 / x86_64 only on packages:
rhm-0.3.2783-1.el5, qpidd-0.3.713378-1.el5, qpidd-xml-0.3.713378-1.el5 [...]

Waiting for 469904 fix and re-run on RHEL4 before going to VERIFIED.

Comment 5 Frantisek Reznicek 2008-11-24 08:16:06 UTC
RHTS test qpid_xml_exchange_module_bz453530 validates now that XML Exchange is
now qpidd loadable plug-in.
Validated on RHEL 4.7 / 5.2 i386 / x86_64 on packages:
qpidd-xml-0.3.719671-1.el5, rhm-0.3.2804-4.el5, rhm-docs-0.3.719580-3.el5
qpidd-xml-0.3.719671-4.el4, rhm-0.3.2804-3.el4, rhm-docs-0.3.719580-4.el4
->VERIFIED

Comment 7 errata-xmlrpc 2009-02-04 15:37:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0035.html


Note You need to log in before you can comment on or make changes to this bug.